Bug 882616 - Wrong auto-generated disk aliases when importing a VM with no alias
Wrong auto-generated disk aliases when importing a VM with no alias
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
All All
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Allon Mureinik
Dafna Ron
storage
: ZStream
Depends On:
Blocks: 888312 915537
  Show dependency treegraph
 
Reported: 2012-12-02 04:23 EST by Allon Mureinik
Modified: 2016-02-10 14:17 EST (History)
9 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Release Note
Doc Text:
Aliases for disks imported from OVFs were not generated correctly, as the disks were given identical names. Now, each disk is given a name and a number in ascending order. For example, the aliases generated for three disks belonging to virtual machine VmName are VmName_Disk1, VmName_Disk2, and VmName_Disk3.
Story Points: ---
Clone Of:
: 888312 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Allon Mureinik 2012-12-02 04:23:36 EST
Description of problem:
When a VM is imported from an OVF that does not contain disk aliases, the ImprotVM command auto-generates aliases. 
However, these aliases are not generated correctly. For a VM with N disks, the aliases should be VmName_Disk1, VmName_Disk2, etc. up to VmName_DiskN.
Instead, ALL the disks are called VmName_DiskN.

Note that when an OVF is created by exporting a VM from 3.1, it will have disk aliases, so this bug will not be relevant.
However, OVFs exported from 3.0, or created by ESXi 5.1 and then translated with v2v will have this issue.

Version-Release number of selected component (if applicable):
3.1

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with 3 disks.
2. Manually edit the OVF, and remove the disk:alias properties (see explanation above).
3. Remove the original VM
4. Import the OVF
  
Actual results:
All the disks will have the alias VmName_Disk3.

Expected results:
The disks should have the following aliases: VmName_Disk1, VmName_Disk2 and VmName_Disk3.

Additional info:
Comment 1 Allon Mureinik 2012-12-02 09:37:24 EST
Sent patch Ibdd6525529d3d5e0c8ee2c86b418562929118207 for review:
http://gerrit.ovirt.org/#/c/9629/
Comment 2 Allon Mureinik 2012-12-18 06:36:45 EST
Merged upstream.
Comment 4 Dafna Ron 2013-01-15 07:55:26 EST
verified on sf3
Comment 6 Itamar Heim 2013-06-11 05:05:54 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:05:57 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:05:57 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:06:08 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:34:48 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.